curl --request POST \
--url https://api.cal.com/v2/organizations/{orgId}/secondary-domains \
--header 'Content-Type: application/json' \
--data '
{
"domain": "acme.fr",
"usernameSuffix": "fr"
}
'import requests
url = "https://api.cal.com/v2/organizations/{orgId}/secondary-domains"
payload = {
"domain": "acme.fr",
"usernameSuffix": "fr"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({domain: 'acme.fr', usernameSuffix: 'fr'})
};
fetch('https://api.cal.com/v2/organizations/{orgId}/secondary-domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cal.com/v2/organizations/{orgId}/secondary-domains",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'domain' => 'acme.fr',
'usernameSuffix' => 'fr'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.cal.com/v2/organizations/{orgId}/secondary-domains"
payload := strings.NewReader("{\n \"domain\": \"acme.fr\",\n \"usernameSuffix\": \"fr\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.cal.com/v2/organizations/{orgId}/secondary-domains")
.header("Content-Type", "application/json")
.body("{\n \"domain\": \"acme.fr\",\n \"usernameSuffix\": \"fr\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cal.com/v2/organizations/{orgId}/secondary-domains")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"domain\": \"acme.fr\",\n \"usernameSuffix\": \"fr\"\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"id": 1,
"domain": "acme.fr",
"usernameSuffix": "fr",
"verified": false,
"verifiedAt": null,
"createdAt": "2026-10-02T09:00:00.000Z",
"verificationRecord": {
"type": "TXT",
"name": "_cal-verification.acme.fr",
"value": "cal-verification=3f1c0d7e9a2b4c6d8e0f1a2b3c4d5e6f"
}
}
}Add a secondary domain to an organization
Adds an unverified secondary domain. Publish the returned verificationRecord as a DNS TXT record and call the verify endpoint. Once verified, members with this email domain join the organization with usernames suffixed by usernameSuffix (e.g. john@acme.fr becomes john-fr). For platform, the plan must be ‘ESSENTIALS’ or higher to access this endpoint. Required membership role: org admin. PBAC permission: organization.update. Learn more about API access control at https://cal.com/docs/api-reference/v2/access-control
curl --request POST \
--url https://api.cal.com/v2/organizations/{orgId}/secondary-domains \
--header 'Content-Type: application/json' \
--data '
{
"domain": "acme.fr",
"usernameSuffix": "fr"
}
'import requests
url = "https://api.cal.com/v2/organizations/{orgId}/secondary-domains"
payload = {
"domain": "acme.fr",
"usernameSuffix": "fr"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({domain: 'acme.fr', usernameSuffix: 'fr'})
};
fetch('https://api.cal.com/v2/organizations/{orgId}/secondary-domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cal.com/v2/organizations/{orgId}/secondary-domains",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'domain' => 'acme.fr',
'usernameSuffix' => 'fr'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.cal.com/v2/organizations/{orgId}/secondary-domains"
payload := strings.NewReader("{\n \"domain\": \"acme.fr\",\n \"usernameSuffix\": \"fr\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.cal.com/v2/organizations/{orgId}/secondary-domains")
.header("Content-Type", "application/json")
.body("{\n \"domain\": \"acme.fr\",\n \"usernameSuffix\": \"fr\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cal.com/v2/organizations/{orgId}/secondary-domains")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"domain\": \"acme.fr\",\n \"usernameSuffix\": \"fr\"\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"id": 1,
"domain": "acme.fr",
"usernameSuffix": "fr",
"verified": false,
"verifiedAt": null,
"createdAt": "2026-10-02T09:00:00.000Z",
"verificationRecord": {
"type": "TXT",
"name": "_cal-verification.acme.fr",
"value": "cal-verification=3f1c0d7e9a2b4c6d8e0f1a2b3c4d5e6f"
}
}
}Headers
For non-platform customers - value must be Bearer <token> where <token> is api key prefixed with cal_
For platform customers - OAuth client secret key
For platform customers - OAuth client ID
Path Parameters
Body
Domain to add as a secondary verified domain
1 - 253"acme.fr"
Suffix appended to usernames of members with this email domain, e.g. john@acme.fr becomes john-fr. Defaults to the domain ending.
1 - 63"fr"
Was this page helpful?